%resolution_checkimage.m
%draws the Niquist Radius and the Outline to the CheckImage
function [CheckImage]=resolution_checkimage(CheckImage,ds,centerx,centery,periods);

[h,w,d]=size(CheckImage);

%draw Nyquist

radius=round(periods/pi);
al=0;

for i=1:0.25:2*pi*radius
        x=radius*cos(al)+centerx;
        y=centery-radius*sin(al);
        CheckImage(round(y),round(x))=255;
        aph=i/radius;
        al=al+aph;
end

%draw Outline

radius=round(ds/2);
al=0;

for i=1:0.25:2*pi*radius
        x=radius*cos(al)+centerx;
        y=centery-radius*sin(al);
        CheckImage(round(y),round(x))=255;
        aph=i/radius;
        al=al+aph;
end

